svn commit: lorikeet r719 - in trunk/heimdal: .

lha at samba.org lha at samba.org
Fri Jun 8 05:33:16 GMT 2007


Author: lha
Date: 2007-06-08 05:33:16 +0000 (Fri, 08 Jun 2007)
New Revision: 719

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=lorikeet&rev=719

Log:
Last bits to make useful.

Modified:
   trunk/heimdal/IMPORT-HEIMDAL.sh


Changeset:
Modified: trunk/heimdal/IMPORT-HEIMDAL.sh
===================================================================
--- trunk/heimdal/IMPORT-HEIMDAL.sh	2007-06-08 03:20:08 UTC (rev 718)
+++ trunk/heimdal/IMPORT-HEIMDAL.sh	2007-06-08 05:33:16 UTC (rev 719)
@@ -3,23 +3,32 @@
 hpath=svn://svn.h5l.se/heimdal/trunk/heimdal
 spath=svn+ssh://svn.samba.org/data/svn/lorikeet/trunk/heimdal
 
-echo "heimdal import `date`" > log
-svn checkout $hpath heimdal-import >> log || exit 1
-svn checkout $spath heimdal-lorikeet >> log || exit 1
+rm -rf heimdal-import heimdal-lorikeet
+
+l=`pwd`/log
+echo "heimdal import `date`" > ${l}
+svn checkout $hpath heimdal-import >> ${l} || exit 1
+svn checkout $spath heimdal-lorikeet >> ${l} || exit 1
 cd heimdal-import || exit 1
-autoreconf -f -i >> log || exit 1
-./configure >> log  || exit 1
-make dist >> log || exit 1
+hsvnrev=`svn info  | awk '/^Revision:/ { print $2; }'`
+test "X$hsvnrev" = "X" && exit 1
+autoreconf -f -i >> ${l} || exit 1
+./configure >> ${l}  || exit 1
+make dist >> ${l} || exit 1
 name=`make print-distdir`
 test "X$name" = "X" && exit 1
 gzip -dc $name.tar.gz | tar xf - || exit 1
 (cd $name && find . -name '*.cat[0-9]' -print | xargs rm) || exit 1
 (cd $name && tar cf - * ) | (cd ../heimdal-lorikeet && tar xf - ) || exit 1
 cd ../heimdal-lorikeet
-svn status | grep '^\?' | cut -b2- | xargs svn add
+svn status | grep '^\?' | cut -b2- | xargs svn add >> ${l}
 (cd lib/roken && perl -pi -e 's,"roken.h",\<roken.h\>,g' *.c)
 
-echo "now run patch < heimdal-lorikeet.diff and fix up the damage"
+echo "now run:"
+echo "cd heimdal-lorikeet"
+echo "patch < heimdal-lorikeet.diff"
+echo "and fix up the damage"
+echo "svn commit -m \"Merged with Heimdal svn revision $hsvnrev\""
 
 exit 0
 



More information about the samba-cvs mailing list